GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/agents/{agentId}/memories/conflicts/{conflictId}
所需权限:
workspace_agent:fact_conflict_read路径参数
string
required
工作空间 ID
string
required
Agent ID
string
required
冲突 ID
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws-8001856949ad4f6a5b6226f415ffa877/agents/agent-f8bf71ab17ed8eccad8c0e8ae708273f/memories/conflicts/conf-def456' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
Show 冲突对象
Show 冲突对象
string
冲突标识符
string
简要描述冲突的标题
string
矛盾的详细说明
string
冲突类别:
m2m(事实与事实)或 m2d(事实与文档)boolean
冲突是否已解决
object
boolean
冲突检测之后,涉及的事实是否已发生变化
string
冲突类型:
logical 或 knowledgearray
冲突涉及的事实 ID
string
冲突首次检测时间
string
冲突最后更新时间
{
"success": true,
"data": {
"id": "conf-def456",
"name": "Contradicting time zone rule",
"description": "One fact says to report times in UTC; another says to report them in the customer's local time.",
"category": "m2m",
"resolved": true,
"resolve": {
"id": "res-1a2b3c4d",
"strategy": "keep_fact",
"keep_fact_id": "fact-4d89ead72a591e8c6abbf68f99edf5e2",
"forgotten_fact_ids": ["fact-91263517847b3371a69814787441263f"],
"created_at": "2025-01-21T09:15:00Z"
},
"stale": false,
"conflict_type": "logical",
"fact_ids": ["fact-4d89ead72a591e8c6abbf68f99edf5e2", "fact-91263517847b3371a69814787441263f"],
"fact_snapshots": [
{
"fact_id": "fact-4d89ead72a591e8c6abbf68f99edf5e2",
"fact_text": "Reports times in UTC"
},
{
"fact_id": "fact-91263517847b3371a69814787441263f",
"fact_text": "Reports times in the customer's local time"
}
],
"file_chunks": [],
"created_at": "2025-01-20T14:30:00Z",
"updated_at": "2025-01-21T09:15:00Z"
}
}
如需解决该冲突,请调用解决 Agent 记忆冲突并传入您想要应用的策略。